Bug 251003 - bad phone numbers being sent to user service
bad phone numbers being sent to user service
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
low Severity low
: ---
: ---
Assigned To: Sebastian Skracic
Amy Owens
US=16341
:
Depends On:
Blocks: 433460
  Show dependency treegraph
 
Reported: 2007-08-06 10:02 EDT by Chris Duryee
Modified: 2008-04-07 16:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: 5.0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 16:00:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Duryee 2007-08-06 10:02:58 EDT
Description of problem:

Something in RHN hosted is sending incorrect phone number data to user service.
Please adhere to the following rules regarding phone numbers:

- A phone with no numbers should be turned into null
- A "buy dell" phone number (contains BUYDELL) should be blanked out
- The following characters should be removed (^,?) (carat, comma, question mark)

Maybe you can validate the phone number against user service before sending it
in, we can discuss the best way to do this.
Comment 1 Jie Chen 2008-01-21 11:34:46 EST
This was reproduciable.  I was able to create a new user with phone number that
has only one digit, and a new user with phone number that contains ^,?.
Comment 2 Sebastian Skracic 2008-03-06 14:41:10 EST
A consent has been reached that all data transformations (such as converting BUYDELL 
into real number etc) should be performed within user service itself, and as such do 
not belong to RHN Hosted code.

To facilitate this approach, the core submitted in r118583 validates all contact info 
for RHN user creation against user service, including the phone numbers.

Comment 5 Amy Owens 2008-03-07 15:57:37 EST
AO 3/7/08-- need to check this again

If you forget Zip-- you get:
    * ZIP / Postal Code is required.
    * Message not found.

Comment 6 Sebastian Skracic 2008-03-10 08:31:20 EDT
Thanks, Amy, for spotting the missing localization entry.  This is now submitted in 
r118587.
Comment 7 Amy Owens 2008-03-10 11:16:48 EDT
Ok now-- all set on dev

Note You need to log in before you can comment on or make changes to this bug.